public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: systemd-notify-and-similar: Adjust test relevancy
@ 2026-09-11 13:22 Stepan Broz
  0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 1ecae443e08fb2fccdf8daa81003c6f81fd8d6f8
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-04-17T18:11:55+00:00
            Stats  : +3/-1 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/1ecae443e08fb2fccdf8daa81003c6f81fd8d6f8?branch=pr775-checkpolicy-revdeps

            Log:
            systemd-notify-and-similar: Adjust test relevancy

Do not test "RHEL-25514 + RHEL-25605" on RHEL-9.4 or lower.
Also, upload ssh.exp so that the test works correctly in 1minutetip.

---
diff --git a/selinux-policy/systemd-notify-and-similar/Makefile b/selinux-policy/systemd-notify-and-similar/Makefile
index 24161e3..b8c2da8 100644
--- a/selinux-policy/systemd-notify-and-similar/Makefile
+++ b/selinux-policy/systemd-notify-and-similar/Makefile
@@ -29,7 +29,7 @@ export TESTVERSION=1.0
 
 BUILT_FILES=
 
-FILES=$(METADATA) runtest.sh Makefile PURPOSE local-notifier.service notifier.sh reproducer.service
+FILES=$(METADATA) runtest.sh Makefile PURPOSE local-notifier.service notifier.sh reproducer.service ssh.exp
 
 .PHONY: all install download clean
 

diff --git a/selinux-policy/systemd-notify-and-similar/runtest.sh b/selinux-policy/systemd-notify-and-similar/runtest.sh
index 2a5a9d8..45a16b4 100755
--- a/selinux-policy/systemd-notify-and-similar/runtest.sh
+++ b/selinux-policy/systemd-notify-and-similar/runtest.sh
@@ -103,6 +103,7 @@ rlJournalStart
         rlRun "systemctl daemon-reload"
     rlPhaseEnd
 
+    if ! rlIsRHEL "<9.5" ; then
     rlPhaseStartTest "RHEL-25514 + RHEL-25605"
         rlSEMatchPathCon "/usr/bin/systemd-notify" "systemd_notify_exec_t"
         rlSEMatchPathCon "/run/systemd/notify" "init_var_run_t"
@@ -118,6 +119,7 @@ rlJournalStart
         rlRun "rm -f /etc/systemd/system/reproducer.service"
         rlRun "systemctl daemon-reload"
     rlPhaseEnd
+    fi
 
     rlPhaseStartCleanup
         sleep 2

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: systemd-notify-and-similar: Adjust test relevancy Stepan Broz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox